---
title: WorkerGlobalScope.importScripts()
slug: Web/API/WorkerGlobalScope/importScripts
tags:
  - API
  - Method
  - Reference
  - Web Workers
  - WorkerGlobalScope
  - importScripts
---
<p>{{APIRef("Web Workers API")}}</p>

<p>The <code><strong>importScripts()</strong></code> method of the {{domxref("WorkerGlobalScope")}} interface synchronously imports one or more scripts into the worker's scope.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="brush: js notranslate">self.importScripts('foo.js');
self.importScripts('foo.js', 'bar.js', ...);</pre>

<h3 id="Parameters">Parameters</h3>

<p>A comma-separated list of {{domxref("DOMString")}} objects representing the scripts to be imported. These paths are relative to <em>html document base URL</em>.</p>

<h3 id="Return_value">Return value</h3>

<p><em>None.</em></p>

<h3 id="Exceptions">Exceptions</h3>

<dl>
 <dt><code>NetworkError</code></dt>
 <dd>Imported scripts were not served with a valid JavaScript MIME type (i.e. <code>text/javascript</code>).</dd>
</dl>

<h2 id="Example">Example</h2>

<p>If you had some functionality written in a separate script called <code>foo.js</code> that you wanted to use inside worker.js, you could import it using the following line:</p>

<pre class="brush: js notranslate">importScripts('foo.js');</pre>

<p><code>importScripts()</code> and <code>self.importScripts()</code> are effectively equivalent — both represent <code>importScripts()</code> being called from inside the worker's inner scope.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('HTML WHATWG', '#dom-workerglobalscope-importscripts', 'importScripts()')}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td></td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.WorkerGlobalScope.importScripts")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("WorkerGlobalScope")}}</li>
</ul>
